<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

    <application
        android:allowBackup="true"
        android:appComponentFactory="android.support.v4.app.CoreComponentFactory"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@drawable/scanicon"
        android:label="@string/app_name"
        android:roundIcon="@drawable/scanicon"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        android:usesCleartextTraffic="true"
        tools:replace="android:appComponentFactory"
        tools:targetApi="31">
        <activity
            android:name=".Activityes.PointCheck.ListviewActivity"
            android:exported="false" />
        <activity
            android:name=".Activityes.PointCheck.frmInputBoxActivity"
            android:exported="false" />
        <activity
            android:name=".Activityes.PointCheck.TSDashbordActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>
        <activity
            android:name=".Activityes.PointCheck.LineTrolleyScaningActivity"
            android:exported="true" />
        <activity
            android:name=".Activityes.PointCheck.ScanDetailsActivity"
            android:exported="true">

        </activity>
        <activity
            android:name=".Activityes.PointCheck.SecurityCheckActivity"
            android:exported="false" />
        <activity
            android:name=".Activityes.PointCheck.TSDispatchActivity"
            android:exported="false" />
        <activity
            android:name=".Activityes.PointCheck.SelectShiftActivity"
            android:exported="false" />
        <activity
            android:name=".Activityes.PrintToPrinterActivity"
            android:exported="true">
            <meta-data
                android:name="android.app.lib_name"
                android:value="" />
        </activity>
        <activity
            android:name=".Activityes.Orient.NavBarActivity"
            android:exported="false" />
        <activity
            android:name=".Activityes.Orient.UnScanBoxActivity"
            android:exported="false" />
        <activity
            android:name=".Activityes.SettingsActivity"
            android:exported="false">
            <meta-data
                android:name="android.app.lib_name"
                android:value="" />
        </activity>
        <activity
            android:name=".Activityes.WebViewActivity"
            android:exported="true">
            <meta-data
                android:name="android.app.lib_name"
                android:value="" />
        </activity>
        <activity
            android:name=".Activityes.Orient.WarrantLabelActivity"
            android:exported="true">
            <meta-data
                android:name="android.app.lib_name"
                android:value="" />
        </activity>
        <activity
            android:name=".Activityes.Orient.DispatchActivity"
            android:exported="true" />
        <activity
            android:name=".Activityes.Orient.NewScanActivity"
            android:exported="true" />
        <activity
            android:name=".Activityes.Orient.BoxPakingActivity"
            android:exported="true">
            <meta-data
                android:name="android.app.lib_name"
                android:value="" />
        </activity>
        <activity
            android:name=".Activityes.Orient.SeetingsActivity"
            android:exported="false">
            <meta-data
                android:name="android.app.lib_name"
                android:value="" />
        </activity>
        <activity
            android:name=".Activityes.Orient.DashbordActivity"
            android:exported="true">
            <meta-data
                android:name="android.app.lib_name"
                android:value="" />
        </activity>
        <activity
            android:name=".Activityes.Orient.LoginActivity"
            android:exported="true">
            <meta-data
                android:name="android.app.lib_name"
                android:value="" />
        </activity>
        <activity
            android:name=".Activityes.Orient.MainActivity"
            android:exported="true">
            <meta-data
                android:name="android.app.lib_name"
                android:value="" />
        </activity>
        <activity
            android:name=".Activityes.StartApplicationActivity"
            android:exported="false">
            <meta-data
                android:name="android.app.lib_name"
                android:value="" />
        </activity>
    </application>

</manifest>